import subprocess

from . import boardtype


def test_front():
    out = subprocess.check_output(['v4l2-ctl', '--media-bus-info', 'platform:30a90000.csi', '--device', 'hi846 2-0020', '--all'])
    assert (b"analogue_gain" in out)


def test_rear():
    address = '10' if boardtype.is_birch() else '2d'
    out = subprocess.check_output(['v4l2-ctl', '--media-bus-info', 'platform:30b80000.csi', '--device', 's5k3l6xx 3-00' + address, '--all'])
    assert (b"analogue_gain" in out)
